<!-- This comment will put IE 6, 7 and 8 in quirks mode -->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>The m17n Library: language.c File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javaScript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body onload='searchBox.OnSelectItem(0);'>
<!-- Generated by Doxygen 1.6.3 -->
<script type="text/javascript"><!--
var searchBox = new SearchBox("searchBox", "search",false,'Search');
--></script>
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <img id="MSearchSelect" src="search/search.png"
             onmouseover="return searchBox.OnSearchSelectShow()"
             onmouseout="return searchBox.OnSearchSelectHide()"
             alt=""/>
        <input type="text" id="MSearchField" value="Search" accesskey="S"
             onfocus="searchBox.OnSearchFieldFocus(true)" 
             onblur="searchBox.OnSearchFieldFocus(false)" 
             onkeyup="searchBox.OnSearchFieldChange(event)"/>
        <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
        </div>
      </li>
    </ul>
  </div>
  <div class="tabs">
    <ul>
      <li><a href="files.html"><span>File&nbsp;List</span></a></li>
      <li><a href="globals.html"><span>Globals</span></a></li>
    </ul>
  </div>
</div>
<div class="contents">
<h1>language.c File Reference</h1><table border="0" cellpadding="0" cellspacing="0">
<tr><td colspan="2"><h2>Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nPlist.html#gac8b2ac3c9a8f0a6afb7f189b694035e2">MPlist</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="language_8c.html#a40023d4a43db542c09acba565b7e0409">mlanguage_list</a> (void)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">List 3-letter language codes.  <a href="#a40023d4a43db542c09acba565b7e0409"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="language_8c.html#ac4accaa6507d24b0b79b052d3a30bb6f">mlanguage_code</a> (<a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> language, int len)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Get a language code.  <a href="#ac4accaa6507d24b0b79b052d3a30bb6f"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nPlist.html#gac8b2ac3c9a8f0a6afb7f189b694035e2">MPlist</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="language_8c.html#a637581c8bf1ffded08b53e19bc838e7a">mlanguage_name_list</a> (<a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> language, <a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> target, <a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> script, <a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> territory)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Return the language names written in the specified language.  <a href="#a637581c8bf1ffded08b53e19bc838e7a"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nMtext.html#gae8bba45315c15c8f79ec4a73ebc52aec">MText</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="language_8c.html#aea98acc9b0df832a2a0fb23b7b435d58">mlanguage_text</a> (<a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> language)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Return the language name written in that language.  <a href="#aea98acc9b0df832a2a0fb23b7b435d58"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nPlist.html#gac8b2ac3c9a8f0a6afb7f189b694035e2">MPlist</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="language_8c.html#a150975e12ee3bd5cd44583555511ff7f">mscript_list</a> (void)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">List script names.  <a href="#a150975e12ee3bd5cd44583555511ff7f"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nPlist.html#gac8b2ac3c9a8f0a6afb7f189b694035e2">MPlist</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="language_8c.html#a333f56265a049e1310eb9cde608be5fe">mscript_language_list</a> (<a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> script)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">List languages that use a specified script.  <a href="#a333f56265a049e1310eb9cde608be5fe"></a><br/></td></tr>
<tr><td colspan="2"><div class="groupHeader">Obsolete functions</div></td></tr>
<tr><td colspan="2"><div class="groupText"><p><a class="anchor" id="amgrpd7b632d1b5e66b7ba59ee87b8e389297"></a>Get an English language name.</p>
<p>This function is obsolete. Use <a class="el" href="m17n_8h.html#a637581c8bf1ffded08b53e19bc838e7a" title="Return the language names written in the specified language.">mlanguage_name_list()</a> instead.</p>
<p>The <a class="el" href="m17n_8h.html#a6aa103adaaed509531857b0b1a8fb0bb">mlanguage_name()</a> function returns a symbol whose name is an English name of <b>language</b>. <b>language</b> is a symbol whose name is an ISO639-2 3-letter language code, an ISO639-1 2-letter language codes, or an English word.</p>
<dl class="user"><dt><b>Return value:</b></dt><dd>If the information is available, this function returns a non-<a class="el" href="group__m17nSymbol.html#ga0346fc05efcccc8f11271b51c0fe3eeb" title="Symbol whose name is &quot;nil&quot;.">Mnil</a> symbol. Otherwise, it returns <a class="el" href="group__m17nSymbol.html#ga0346fc05efcccc8f11271b51c0fe3eeb" title="Symbol whose name is &quot;nil&quot;.">Mnil</a>.</dd></dl>
<dl class="user"><dt><b>See Also:</b></dt><dd><a class="el" href="m17n_8h.html#ac4accaa6507d24b0b79b052d3a30bb6f" title="Get a language code.">mlanguage_code()</a>, <a class="el" href="m17n_8h.html#aea98acc9b0df832a2a0fb23b7b435d58" title="Return the language name written in that language.">mlanguage_text()</a>. </dd></dl>
</div></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="language_8c.html#a6aa103adaaed509531857b0b1a8fb0bb">mlanguage_name</a> (<a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> language)</td></tr>
<tr><td colspan="2"><h2>Variables</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="language_8c.html#a643a2aaff32921ac3e11cd6eed66f60d">Miso639_1</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="language_8c.html#a6006fc602faeca0240858b36777615a0">Miso639_2</a></td></tr>
</table>
<hr/><h2>Function Documentation</h2>
<a class="anchor" id="a40023d4a43db542c09acba565b7e0409"></a><!-- doxytag: member="language.c::mlanguage_list" ref="a40023d4a43db542c09acba565b7e0409" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__m17nPlist.html#gac8b2ac3c9a8f0a6afb7f189b694035e2">MPlist</a>* mlanguage_list </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>List 3-letter language codes. </p>
<p>The <a class="el" href="m17n_8h.html#a40023d4a43db542c09acba565b7e0409" title="List 3-letter language codes.">mlanguage_list()</a> funciton returns a well-formed plist whose keys are <a class="el" href="group__m17nSymbol.html#ga6592d4eb3c46fe7fb8993c252b8fedeb" title="Symbol whose name is &quot;symbol&quot;.">Msymbol</a> and values are symbols whose names are ISO639-2 3-letter language codes.</p>
<dl class="user"><dt><b>Return value:</b></dt><dd>This function returns a plist. The caller should free it by <a class="el" href="group__m17nObject.html#ga248ba287a615a2cf3cdb99c13275453b" title="Decrement the reference count of a managed object.">m17n_object_unref()</a>.</dd></dl>
<dl class="user"><dt><b>See Also:</b></dt><dd><a class="el" href="m17n_8h.html#a150975e12ee3bd5cd44583555511ff7f" title="List script names.">mscript_list()</a>. </dd></dl>

</div>
</div>
<a class="anchor" id="ac4accaa6507d24b0b79b052d3a30bb6f"></a><!-- doxytag: member="language.c::mlanguage_code" ref="ac4accaa6507d24b0b79b052d3a30bb6f" args="(MSymbol language, int len)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> mlanguage_code </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td>
          <td class="paramname"> <em>language</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&nbsp;</td>
          <td class="paramname"> <em>len</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get a language code. </p>
<p>The <a class="el" href="m17n_8h.html#ac4accaa6507d24b0b79b052d3a30bb6f" title="Get a language code.">mlanguage_code()</a> function returns a symbol whose name is the ISO639 language code of <b>language</b>. <b>language</b> is a symbol whose name is an ISO639-2 3-letter language code, an ISO639-1 2-letter language codes, or an English word.</p>
<p><b>len</b> specifies the type of the returned language code. If it is 3, an ISO639-2 3-letter language code is returned. If it is 2, an ISO639-1 2-letter language code is returned when defined; otherwise <a class="el" href="group__m17nSymbol.html#ga0346fc05efcccc8f11271b51c0fe3eeb" title="Symbol whose name is &quot;nil&quot;.">Mnil</a> is returned. If it is 0, a 2-letter code is returned when defined; otherwise a 3-letter code is returned.</p>
<dl class="user"><dt><b>Return value:</b></dt><dd>If the information is available, this function returns a non-<a class="el" href="group__m17nSymbol.html#ga0346fc05efcccc8f11271b51c0fe3eeb" title="Symbol whose name is &quot;nil&quot;.">Mnil</a> symbol. Otherwise, it returns <a class="el" href="group__m17nSymbol.html#ga0346fc05efcccc8f11271b51c0fe3eeb" title="Symbol whose name is &quot;nil&quot;.">Mnil</a>.</dd></dl>
<dl class="user"><dt><b>See Also:</b></dt><dd><a class="el" href="m17n_8h.html#a637581c8bf1ffded08b53e19bc838e7a" title="Return the language names written in the specified language.">mlanguage_name_list()</a>, <a class="el" href="m17n_8h.html#aea98acc9b0df832a2a0fb23b7b435d58" title="Return the language name written in that language.">mlanguage_text()</a>. </dd></dl>

</div>
</div>
<a class="anchor" id="a637581c8bf1ffded08b53e19bc838e7a"></a><!-- doxytag: member="language.c::mlanguage_name_list" ref="a637581c8bf1ffded08b53e19bc838e7a" args="(MSymbol language, MSymbol target, MSymbol script, MSymbol territory)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__m17nPlist.html#gac8b2ac3c9a8f0a6afb7f189b694035e2">MPlist</a>* mlanguage_name_list </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td>
          <td class="paramname"> <em>language</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td>
          <td class="paramname"> <em>target</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td>
          <td class="paramname"> <em>script</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td>
          <td class="paramname"> <em>territory</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Return the language names written in the specified language. </p>
<p>The <a class="el" href="m17n_8h.html#a637581c8bf1ffded08b53e19bc838e7a" title="Return the language names written in the specified language.">mlanguage_name_list()</a> function returns a plist of LANGUAGE's names written in TARGET language. SCRIPT and TERRITORY, if not <a class="el" href="group__m17nSymbol.html#ga0346fc05efcccc8f11271b51c0fe3eeb" title="Symbol whose name is &quot;nil&quot;.">Mnil</a>, specifies which script and territory to concern at first.</p>
<p>LANGUAGE and TARGET must be a symbol whose name is an ISO639-2 3-letter language code or an ISO639-1 2-letter language codes. TARGET may be <a class="el" href="group__m17nSymbol.html#ga0346fc05efcccc8f11271b51c0fe3eeb" title="Symbol whose name is &quot;nil&quot;.">Mnil</a>, in which case, the language of the current locale is used. If locale is not set or is C, English is used.</p>
<p>SCRIPT and TERRITORY must be a symbol whose name is a script and territory name of a locale (e.g. "TW", "SG") respectively.</p>
<dl class="user"><dt><b>Return value:</b></dt><dd>If the translation is available, this function returns a non-empty plist. The first element has key <a class="el" href="group__m17nMtext.html#gae8bba45315c15c8f79ec4a73ebc52aec" title="Type of M-texts.">MText</a> and the value is an M-text of a translated language name. If the succeeding elements also have key <a class="el" href="group__m17nMtext.html#gae8bba45315c15c8f79ec4a73ebc52aec" title="Type of M-texts.">MText</a>, their values are M-texts of alternate translations.</dd></dl>
<p>If no translation is available, <code>NULL</code> is returned.</p>
<p>The returned plist should not be modified nor freed.</p>
<dl class="user"><dt><b>See Also:</b></dt><dd><a class="el" href="m17n_8h.html#ac4accaa6507d24b0b79b052d3a30bb6f" title="Get a language code.">mlanguage_code()</a>, <a class="el" href="m17n_8h.html#aea98acc9b0df832a2a0fb23b7b435d58" title="Return the language name written in that language.">mlanguage_text()</a>. </dd></dl>

</div>
</div>
<a class="anchor" id="aea98acc9b0df832a2a0fb23b7b435d58"></a><!-- doxytag: member="language.c::mlanguage_text" ref="aea98acc9b0df832a2a0fb23b7b435d58" args="(MSymbol language)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__m17nMtext.html#gae8bba45315c15c8f79ec4a73ebc52aec">MText</a>* mlanguage_text </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td>
          <td class="paramname"> <em>language</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Return the language name written in that language. </p>
<p>The <a class="el" href="m17n_8h.html#aea98acc9b0df832a2a0fb23b7b435d58" title="Return the language name written in that language.">mlanguage_text()</a> function returns, in the form of M-text, the language name of <b>language</b> written in <b>language</b>. If the representative characters of the language are known, the characters of the returned M-text has a text property whose key is <a class="el" href="group__m17nPlist.html#ga1a22859374071a0ca66f12452afee8bd" title="Symbol whose name is &quot;mtext&quot;.">Mtext</a> and whose value is an M-text that contains the representative characters.</p>
<dl class="user"><dt><b>Return value:</b></dt><dd>If the information is available, this function returns an M-text that should not be modified nor freed. Otherwise, it returns <code>NULL</code>.</dd></dl>
<dl class="user"><dt><b>See Also:</b></dt><dd><a class="el" href="m17n_8h.html#ac4accaa6507d24b0b79b052d3a30bb6f" title="Get a language code.">mlanguage_code()</a>, <a class="el" href="m17n_8h.html#a6aa103adaaed509531857b0b1a8fb0bb">mlanguage_name()</a>. </dd></dl>

</div>
</div>
<a class="anchor" id="a150975e12ee3bd5cd44583555511ff7f"></a><!-- doxytag: member="language.c::mscript_list" ref="a150975e12ee3bd5cd44583555511ff7f" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__m17nPlist.html#gac8b2ac3c9a8f0a6afb7f189b694035e2">MPlist</a>* mscript_list </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>List script names. </p>
<p>The <a class="el" href="m17n_8h.html#a150975e12ee3bd5cd44583555511ff7f" title="List script names.">mscript_list()</a> funciton returns a well-formed plist whose keys are <a class="el" href="group__m17nSymbol.html#ga6592d4eb3c46fe7fb8993c252b8fedeb" title="Symbol whose name is &quot;symbol&quot;.">Msymbol</a> and values are symbols whose names are script names.</p>
<dl class="user"><dt><b>Return value:</b></dt><dd>This function returns a plist. The caller should free it by <a class="el" href="group__m17nObject.html#ga248ba287a615a2cf3cdb99c13275453b" title="Decrement the reference count of a managed object.">m17n_object_unref()</a>.</dd></dl>
<dl class="user"><dt><b>See Also:</b></dt><dd><a class="el" href="m17n_8h.html#a333f56265a049e1310eb9cde608be5fe" title="List languages that use a specified script.">mscript_language_list()</a>, <a class="el" href="m17n_8h.html#a40023d4a43db542c09acba565b7e0409" title="List 3-letter language codes.">mlanguage_list()</a>. </dd></dl>

</div>
</div>
<a class="anchor" id="a333f56265a049e1310eb9cde608be5fe"></a><!-- doxytag: member="language.c::mscript_language_list" ref="a333f56265a049e1310eb9cde608be5fe" args="(MSymbol script)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__m17nPlist.html#gac8b2ac3c9a8f0a6afb7f189b694035e2">MPlist</a>* mscript_language_list </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td>
          <td class="paramname"> <em>script</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>List languages that use a specified script. </p>
<p>The <a class="el" href="m17n_8h.html#a333f56265a049e1310eb9cde608be5fe" title="List languages that use a specified script.">mscript_language_list()</a> function lists languages that use <b>script</b>. <b>script</b> is a symbol whose name is the lower-cased version of a script name that appears in the Unicode Character Database.</p>
<dl class="user"><dt><b>Return value:</b></dt><dd></dd></dl>
<p>This function returns a well-formed plist whose keys are <a class="el" href="group__m17nSymbol.html#ga6592d4eb3c46fe7fb8993c252b8fedeb" title="Symbol whose name is &quot;symbol&quot;.">Msymbol</a> and values are symbols whose names are ISO639-1 2-letter codes (or ISO639-2 3-letter codes, if the former is not available). The caller should not modify nor free it. If the m17n library does not know about <b>script</b>, it returns @ c NULL.</p>
<dl class="user"><dt><b>See Also:</b></dt><dd><a class="el" href="m17n_8h.html#a150975e12ee3bd5cd44583555511ff7f" title="List script names.">mscript_list()</a>, <a class="el" href="m17n_8h.html#a40023d4a43db542c09acba565b7e0409" title="List 3-letter language codes.">mlanguage_list()</a>. </dd></dl>

</div>
</div>
<a class="anchor" id="a6aa103adaaed509531857b0b1a8fb0bb"></a><!-- doxytag: member="language.c::mlanguage_name" ref="a6aa103adaaed509531857b0b1a8fb0bb" args="(MSymbol language)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> mlanguage_name </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td>
          <td class="paramname"> <em>language</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<hr/><h2>Variable Documentation</h2>
<a class="anchor" id="a643a2aaff32921ac3e11cd6eed66f60d"></a><!-- doxytag: member="language.c::Miso639_1" ref="a643a2aaff32921ac3e11cd6eed66f60d" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> <a class="el" href="language_8c.html#a643a2aaff32921ac3e11cd6eed66f60d">Miso639_1</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a6006fc602faeca0240858b36777615a0"></a><!-- doxytag: member="language.c::Miso639_2" ref="a6006fc602faeca0240858b36777615a0" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> <a class="el" href="language_8c.html#a6006fc602faeca0240858b36777615a0">Miso639_2</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
</div>
<!--- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&nbsp;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&nbsp;</span>Data Structures</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&nbsp;</span>Files</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&nbsp;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&nbsp;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&nbsp;</span>Typedefs</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(6)"><span class="SelectionMark">&nbsp;</span>Enumerations</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(7)"><span class="SelectionMark">&nbsp;</span>Enumerator</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(8)"><span class="SelectionMark">&nbsp;</span>Defines</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<hr>

<ADDRESS>
<a href="http://www.m17n.org/m17n-lib-en/index.html" target="mulewindow"><img src="parrot.png" align=bottom alt="m17n-lib Home" border=0></a>
</ADDRESS>
</body>
</HTML>

<!-- Copyright information

Copyright (C) 2001 Information-technology Promotion Agency (IPA)
Copyright (C) 2001-2011
  National Institute of Advanced Industrial Science and Technology (AIST)

This file is part of the m17n library documentation.

Permission is granted to copy, distribute and/or modify this document
under the terms of the GNU Free Documentation License, Version 1.2 or
any later version published by the Free Software Foundation; with no
Invariant Section, no Front-Cover Texts,
and no Back-Cover Texts.  A copy of the license is included in the
appendix entitled "GNU Free Documentation License".
-->
